Package com.io7m.waxmill.client.api

# Class WXMApplicationVersion

java.lang.Object
com.io7m.waxmill.client.api.WXMApplicationVersion

All Implemented Interfaces:
  `WXMApplicationVersionType`

    public final class WXMApplicationVersion
    extends java.lang.Object
    implements WXMApplicationVersionType

An application version.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `WXMApplicationVersion.Builder` | Builds instances of type `WXMApplicationVersion`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `applicationName()` |
  `java.lang.String` | `applicationVersion()` |
  `static WXMApplicationVersion.Builder` | `builder()` | Creates a builder for `WXMApplicationVersion`.
  `static WXMApplicationVersion` | `copyOf​(WXMApplicationVersionType instance)` | Creates an immutable copy of a `WXMApplicationVersionType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `WXMApplicationVersion` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `applicationName`, `applicationVersion`.
  `java.lang.String` | `toString()` | Prints the immutable value `WXMApplicationVersion` with attribute values.
  `WXMApplicationVersion` | `withApplicationName​(java.lang.String value)` | Copy the current immutable object by setting a value for the `applicationName` attribute.
  `WXMApplicationVersion` | `withApplicationVersion​(java.lang.String value)` | Copy the current immutable object by setting a value for the `applicationVersion` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### applicationName

    public java.lang.String applicationName()
    Specified by:
      `applicationName` in interface `WXMApplicationVersionType`
    Returns:
      The name of the application

  - ### applicationVersion

    public java.lang.String applicationVersion()
    Specified by:
      `applicationVersion` in interface `WXMApplicationVersionType`
    Returns:
      The version of the application

  - ### withApplicationName

    public final WXMApplicationVersion withApplicationName​(java.lang.String value)
    Copy the current immutable object by setting a value for the `applicationName` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for applicationName
    Returns:
      A modified copy of the `this` object

  - ### withApplicationVersion

    public final WXMApplicationVersion withApplicationVersion​(java.lang.String value)
    Copy the current immutable object by setting a value for the `applicationVersion` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for applicationVersion
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `WXMApplicationVersion` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `applicationName`, `applicationVersion`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `WXMApplicationVersion` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static WXMApplicationVersion copyOf​(WXMApplicationVersionType instance)
    Creates an immutable copy of a `WXMApplicationVersionType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable WXMApplicationVersion instance

  - ### builder

    public static WXMApplicationVersion.Builder builder()
    Creates a builder for `WXMApplicationVersion`.

         WXMApplicationVersion.builder()
            .setApplicationName(String) // required applicationName
            .setApplicationVersion(String) // required applicationVersion
            .build();

    Returns:
      A new WXMApplicationVersion builder